GET/projects/api/v3/reporting/dashboards/data/estimation.json

Get estimation totals.

Returns aggregate counts of overestimated, underestimated, and within-margin tasks along with the overall estimation accuracy score for the given filters.

Query Params

  • Name
    startDate
    Type
    string
    Description

    filter tasks completed on or after this date

  • Name
    searchTerm
    Type
    string
    Description

    filter by task name or project name

  • Name
    orderMode
    Type
    string
    Description

    sort direction

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    orderBy
    Type
    string
    Description

    order by field

    Default
    task
    Allowed values
    • task
    • project
    • loggedTime
    • estimatedTime
    • estimationAccuracy
    • completedDate
  • Name
    endDate
    Type
    string
    Description

    filter tasks completed on or before this date

  • Name
    pageSize
    Type
    integer
    Description

    number of items per page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    acceptanceThreshold
    Type
    integer
    Description

    percentage margin within which a task is considered on target (0–100)

    Default
    10
  • Name
    taskListIds
    Type
    array[integer]
    Description

    filter by task list IDs

    Format
    Comma separated values
  • Name
    taskIds
    Type
    array[integer]
    Description

    filter by task IDs

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project IDs

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    related entities to sideload in the response

    Format
    Comma separated values
    Allowed values
    • users
    • tasks
    • projects
  • Name
    filter
    Type
    array[any]
    Description

    filter object body

    Format
    Comma separated values
  • Name
    estimationStatuses
    Type
    array[string]
    Description

    filter by estimation status

    Format
    Comma separated values
    Allowed values
    • overestimated
    • underestimated
    • withinmargin
    • nonestimated
  • Name
    companyIds
    Type
    array[integer]
    Description

    filter by company IDs

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    EstimationTotalsResponse is the response for estimation totals endpoint.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

EstimationTotalsResponse
{
  "count": 0,
  "estimatedTime": 0,
  "estimationAccuracy": 0,
  "loggedTime": 0,
  "noEstimation": 0,
  "overestimatedCount": 0,
  "underestimatedCount": 0,
  "withinMargins": 0
}